$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.16.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.16.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '26F1FD2D17733F63FDDB766A448757AA06F384F090E3ACFFC3F46A38C947177B'
  checksumType = 'sha256'
  checksum64 = '26F1FD2D17733F63FDDB766A448757AA06F384F090E3ACFFC3F46A38C947177B'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.16-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
